<h1 i18n="Merge Data | Header entry @@mergeDataHeader">Merge Data</h1>
<p i18n="@@mergeDataDescription">
  This tool enables you to associate data which has been anonymized by use of a TAN to your account.
  All entries which match the given TAN and provider will be assigned.
</p>

<p style="padding-bottom: 20px">&nbsp;</p>
<nz-card nzBordered [ngStyle]="{ 'box-shadow': '0px 4px 10px rgba(0, 0, 0, 0.1)', 'background': '#ffffff' }">
  <form nz-form nzLayout="vertical" [formGroup]="mergeForm" (ngSubmit)="submit()">
    <nz-form-item>
      <nz-form-label>Provider</nz-form-label>
      <nz-form-control>
        <nz-select formControlName="provider">
          <nz-option *ngFor="let provider of providers" [nzValue]="provider.id" [nzLabel]="provider.name"></nz-option>
        </nz-select>
      </nz-form-control>
    </nz-form-item>

    <nz-form-item>
      <nz-form-label>TAN</nz-form-label>
      <nz-form-control>
        <input nz-input formControlName="tan" />
      </nz-form-control>
    </nz-form-item>

    <button type="submit" nz-button nzType="primary" i18n="Merge Data | Header entry @@mergeDataHeader">
      Merge Data
    </button>
  </form>
</nz-card>
